Jump to content

Security patch kills my store


Guest wonderworks
 Share

Recommended Posts

Guest wonderworks

The security patch (ini.inc.php) kills my store! It wont run anymore. Not after manually deleting the one line in ini.inc.php not after installing the ini.inc.php you can download. I had to replace it with a backup of ini.inc.php from the original 4.11 install to get my shop running again.

Here's some errors:

Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /home/flapjack/domains/flapjack.nl/public_html/shop/ini.inc.php:224) in /home/flapjack/domains/flapjack.nl/public_html/shop/classes/session/cc_session.php on line 172

Warning: session_regenerate_id() [function.session-regenerate-id]: Cannot regenerate session id - headers already sent in /home/flapjack/domains/flapjack.nl/public_html/shop/classes/session/cc_session.php on line 173

Warning: Cannot modify header information - headers already sent by (output started at /home/flapjack/domains/flapjack.nl/public_html/shop/ini.inc.php:224) in /home/flapjack/domains/flapjack.nl/public_html/shop/classes/session/cc_session.php on line 188

Warning: Cannot modify header information - headers already sent by (output started at /home/flapjack/domains/flapjack.nl/public_html/shop/ini.inc.php:224) in /home/flapjack/domains/flapjack.nl/public_html/shop/includes/global/switch.inc.php on line 36

Warning: Cannot modify header information - headers already sent by (output started at /home/flapjack/domains/flapjack.nl/public_html/shop/ini.inc.php:224) in /home/flapjack/domains/flapjack.nl/public_html/shop/includes/functions.inc.php on line 65

Warning: Cannot modify header information - headers already sent by (output started at /home/flapjack/domains/flapjack.nl/public_html/shop/ini.inc.php:224) in /home/flapjack/domains/flapjack.nl/public_html/shop/includes/functions.inc.php on line 66

Warning: Cannot modify header information - headers already sent by (output started at /home/flapjack/domains/flapjack.nl/public_html/shop/ini.inc.php:224) in /home/flapjack/domains/flapjack.nl/public_html/shop/includes/functions.inc.php on line 68

Link to comment
Share on other sites

Guest Brivtech

1. Did you delete the correct line? Did you perhaps delete a stray curly bracket by mistake?

2. Did you download the right patch for your version?

:yeahhh:

Link to comment
Share on other sites

Guest wonderworks

1. Did you delete the correct line? Did you perhaps delete a stray curly bracket by mistake?

2. Did you download the right patch for your version?

1. Yes, no.

2. Yes, the first one, CubeCart_4.1.1_pl1.zip

Just retried with the download version.

Gives this error:

Warning: require_once(ini.inc.php) [function.require-once]: failed to open stream: Permission denied in /home/flapjack/domains/flapjack.nl/public_html/shop/index.php on line 64

Fatal error: require_once() [function.require]: Failed opening required 'ini.inc.php' (include_path='.:/usr/local/lib/php') in /home/flapjack/domains/flapjack.nl/public_html/shop/index.php on line 64

Link to comment
Share on other sites

Guest Brivtech

I think this is a job for the bug tracker and Support Ticket system, unless anyone here has any further suggestions.

I'm now guessing it would be caused by some kind of server configuration problem, but I'm really stabbing in the dark here.

Link to comment
Share on other sites

I suggest you to try read the warning messages carefully.

Warning: session_start() [function.session-start]: Cannot send session cache limiter - headers already sent (output started at /home/flapjack/domains/flapjack.nl/public_html/shop/ini.inc.php:224) in /home/flapjack/domains/flapjack.nl/public_html/shop/classes/session/cc_session.php on line 172

As red marked says OUTPUT STARTED .....

ini.inc.php - file name where output started

224 line of file above where output started at

As greebowarrior mentioned blank line(s) just after ?> is most likely the reason of such behavior. Please edit ini.inc.php to remove unwanted lines a the end, save and upload using FTP ASCII mode.

Link to comment
Share on other sites

Guest wonderworks

The above is too technical for me.

I just want to download the patch and install it, but when I do that I get the following:

Warning: require_once(ini.inc.php) [function.require-once]: failed to open stream: Permission denied in /home/flapjack/domains/flapjack.nl/public_html/shop/admin.php on line 28

Fatal error: require_once() [function.require]: Failed opening required 'ini.inc.php' (include_path='.:/usr/local/lib/php') in /home/flapjack/domains/flapjack.nl/public_html/shop/admin.php on line 28

Link to comment
Share on other sites

Guest wonderworks

It seems no issue there testing your store.

No, i replaced the file immediately with a backup from the original 4.11 install again. I cant have my store offline or giving errors of course.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...